Bug 680131 - [RS780] Desktop only recognizes second head (dis)connection when xrandr is run
Summary: [RS780] Desktop only recognizes second head (dis)connection when xrandr is run
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-24 12:57 UTC by Nils Philippsen
Modified: 2018-04-11 08:42 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-08-07 16:28:08 UTC


Attachments (Terms of Use)
Xorg.0.log (53.67 KB, text/plain)
2011-02-24 16:42 UTC, Nils Philippsen
no flags Details
output of dmesg (123.81 KB, text/plain)
2011-02-24 16:44 UTC, Nils Philippsen
no flags Details
/var/log/messages (206.95 KB, text/plain)
2011-02-24 16:44 UTC, Nils Philippsen
no flags Details

Description Nils Philippsen 2011-02-24 12:57:17 UTC
Description of problem:
The desktop only gets reconfigured to span over to screens (or be reduced to the internal one) when "xrandr" is called on the cmdline. Just connecting/disconnecting the VGA cord doesn't change a thing. The machine is a Lenovo Thinkpad X100e

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.14.0-2.20110204gita27b5dbd9.fc15.x86_64

How reproducible:
Reproducible

Steps to Reproduce:
1. Connect external monitor via VGA
2. "xrandr"
3. Disconnect external monitor
4. "xrandr"
  
Actual results:
The desktop doesn't reconfigure after steps 1 or 3, only after xrandr is run in steps 2 and 4 respectively.

Expected results:
Steps 2 and 4 not needed.

Additional info:
HW info: http://www.smolts.org/client/show/pub_422b3246-f396-4785-8231-26ef5fe5fdb2

Comment 1 Matěj Cepl 2011-02-24 15:37:28 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, reproduce the issue, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Nils Philippsen 2011-02-24 16:42:40 UTC
Created attachment 480800 [details]
Xorg.0.log

Comment 3 Nils Philippsen 2011-02-24 16:44:08 UTC
Created attachment 480803 [details]
output of dmesg

Comment 4 Nils Philippsen 2011-02-24 16:44:51 UTC
Created attachment 480804 [details]
/var/log/messages

Comment 5 Nils Philippsen 2011-02-24 16:45:28 UTC
This being the live image for gfx testing week, it has no xorg.conf.

Comment 6 Fedora End Of Life 2012-08-07 16:28:10 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.